Page MenuHomePhabricator

Import scowiktionary incubator to scowiki Define namespace
Closed, ResolvedPublic

Description

Please import sco.wikt incubator to the new sco wikipedia Define namespace

Event Timeline

RhinosF1 changed the task status from Open to Stalled.Mar 7 2020, 8:14 PM
RhinosF1 created this task.

Can’t be done yet until namespace exists

RhinosF1 triaged this task as Medium priority.Mar 7 2020, 8:15 PM
RhinosF1 updated the task description. (Show Details)
Reedy renamed this task from Import Scowikt incubator to Scowiki Define namespace to Import scowiktionary incubator to scowiki Define namespace.Mar 7 2020, 8:16 PM
Reedy updated the task description. (Show Details)Mar 7 2020, 8:17 PM
Reedy added a subscriber: Reedy.

What is this for? Defining the import source? Doing the import? As if it's the latter, generally it's not a "site request"

What is this for? Defining the import source? Doing the import? As if it's the latter, generally it's not a "site request"

Doing the import

Reedy added a comment.Mar 7 2020, 8:42 PM

What is this for? Defining the import source? Doing the import? As if it's the latter, generally it's not a "site request"

Doing the import

We don't usually do it with a maintenance script. It's usually done with https://sco.wikipedia.org/wiki/Special:Import and the importing being allowed from the incubator (at least when new language wikis are created)

What is this for? Defining the import source? Doing the import? As if it's the latter, generally it's not a "site request"

Doing the import

We don't usually do it with a maintenance script. It's usually done with https://sco.wikipedia.org/wiki/Special:Import and the importing being allowed from the incubator (at least when new language wikis are created)

Then it needs someone willing to handle it :)

RhinosF1 added a subscriber: jeblad.EditedMar 7 2020, 8:52 PM

@jeblad: Are we likely to avoid a timeout from import/export allowing local admins to do it or are we best doing this via script during deploy of subtask?

The way exporting from the Wikimedia Incubator works is a bit more complicated than just copy-pasting the XML, as the titles have to be modified, and attention given to keeping the history. There wouldn't be a timeout on the import, but it should be left to @MF-Warburg to perform the import if he's interested/given import on the wiki.

There isn't a script to perform this, so removing the project.

Hello. Should I do this?

Hello. Should I do this?

Please

RhinosF1 changed the task status from Stalled to Open.Apr 8 2020, 6:19 AM
MF-Warburg added a comment.EditedApr 16 2020, 9:30 PM

Started with the talk pages (all 3 of them; they were all starting with a lowercase letter originally). Is it intentional that the Define namespace is not case-sensitive? If not, this should be fixed before I import the Wt/sco mainspace pages and they all would have to be fixed afterwards.

Also, what about the templates? Should I just import all those which don't exist on scowiki and you will figure out the rest?

Started with the talk pages (all 3 of them; they were all starting with a lowercase letter originally). Is it intentional that the Define namespace is not case-sensitive?

Yes

Also, what about the templates? Should I just import all those which don't exist on scowiki and you will figure out the rest?

@MJL

MJL added a comment.Apr 21 2020, 7:22 PM

Also, what about the templates? Should I just import all those which don't exist on scowiki and you will figure out the rest?

Yeah, that's fine. Thank you a ton for your work!! :D

Ok, I have now done so.
I imported: main space, talk, templates, categories and modules. I skipped modules and templates which existed on scowiki already. I removed prefixes everywhere, except from the categories, which is probably best sorted out locally.

You can see on https://sco.wikipedia.org/wiki/Uiser:MF-Warburg which ones were skipped etc., to check if something needs to be done about it. There might also be pages which have now been "merged" because of the case-sensitive situation. I haven't checked for those.

Please tell me if anything is missing and should still be imported.

When everything is fine, it would be great if someone could tell me that the incubator pages can be deleted. I left them for now so that you can see if something didn't work or if there are problems with the templates and modules.

MF-Warburg closed this task as Resolved.Apr 27 2020, 2:04 AM
MF-Warburg claimed this task.